HEVEA(1)

NAME
hevea - A fast LaTeX to HTML translator

SYNOPSIS
hevea [options] <texfile>

DESCRIPTION
This manual page documents briefly the hevea command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

Using hevea it is possible to translate large documents written in LaTeX, such as manuals, books, etc., very quickly into HTML. All documents are translated as one single HTML file. The output file can be cut into smaller files, using the companion program hacha.

OPTIONS

  General Options

-version
    Show hevea version and exit.

-v  Verbose flag, can be repeated to increase verbosity.

-dv Add border around some of the block-level elements issued. Specifically, all DIV and P are bordered, while the structure of displayed material is also shown.

-s  Suppress warnings.

-I dirname
    Add dirname to the search path.

-o name
    Make name the output basename. However, if name is base.html, then the output basename is base.

-e filename
    Prevent hevea from loading any file whose name is filename. Note that this option applies to all files, including hevea.hva and base style files.

-fix
    Iterate HeVeA until a fixpoint is found. Additionally, images get generated automatically.

-O  Optimize HTML by calling esponja.

-exec prog
    Execute file prog and read the output. The file prog must have execution permission and is searched by following the searching rules of hevea.

-francais
    Deprecated by babel support. This option issues a warning message.

-help,--help
    Print version number and a short help message.

-rsz
    Size of leaves in rope implementation. The default is 1024. Ropes are a datastructure internally used by hevea to represent large pieces of text.

  Options controlling the generation of HTML code

-entities
    Render symbols by using entities. This is the default.

-textsymbols
    Render symbols by English text.

-moreentities
    Enable the output of some infrequent entities. Use this option to target browsers with wide entities support.

-mathml
    Produces MathML output for equations, very experimental.

-pedantic
    Be strict in interpreting HTML definition. In particular, this option disable size and color changes inside <PRE>... </PRE>, which are otherwise performed.

  Options for alternative output formats

-text
    Output plain text. Output file extension is .txt.

-info
    Output info format. Output file extension is .info.

-w width
    Set the line width for text or info output, defaults to 72.

SEE ALSO
hacha(1), imagen(1), esponja(1).

The HeVeA documentation can be found on the HeVeA home page http://hevea.inria.fr. On a Debian system it can also be accessed at /usr/share/doc/hevea-doc/html, provided the package hevea-doc (from the non-free section) is installed.

ENVIRONMENT

SOURCE_DATE_EPOCH
    When set uses that value as date for defining the counters and commands described in the section Date and Time of the manual.

AUTHOR
HeVeA is written by Luc Maranget <Luc.Maranget@inria.fr>.

This manual page was compiled by Ralf Treinen <treinen@debian.org> and Georges Mariano <Georges.Mariano@inrets.fr> from the HeVeA documentation for the Debian GNU/Linux system (but may be used by others).